Update Contacts Tags
Allows you to update tags to multiple contacts at once, you can add or remove tags from the contacts
POST
/
contacts
/
bulk
/
tags
/
update
/
{type}
Update Contacts Tags
curl --request POST \
--url https://services.leadconnectorhq.com/contacts/bulk/tags/update/{type} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"contacts": [
"qFSqySFkVvNzOSqgGqFi",
"abcdef",
"qFSqySFkVvNzOSqgGqFi",
"3ualbhnV7j3n3a9r2moD"
],
"tags": [
"tag-1",
"tag-2"
],
"locationId": "asdrwHvLUxlfw5SqKVCN",
"removeAllTags": "false"
}
'const options = {
method: 'POST',
headers: {
Version: '<version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
contacts: [
'qFSqySFkVvNzOSqgGqFi',
'abcdef',
'qFSqySFkVvNzOSqgGqFi',
'3ualbhnV7j3n3a9r2moD'
],
tags: ['tag-1', 'tag-2'],
locationId: 'asdrwHvLUxlfw5SqKVCN',
removeAllTags: 'false'
})
};
fetch('https://services.leadconnectorhq.com/contacts/bulk/tags/update/{type}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/contacts/bulk/tags/update/{type}"
payload = {
"contacts": ["qFSqySFkVvNzOSqgGqFi", "abcdef", "qFSqySFkVvNzOSqgGqFi", "3ualbhnV7j3n3a9r2moD"],
"tags": ["tag-1", "tag-2"],
"locationId": "asdrwHvLUxlfw5SqKVCN",
"removeAllTags": "false"
}
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"succeded": true,
"errorCount": 0,
"responses": [
{
"contactId": "qFSqySFkVvNzOSqgGqFi",
"message": "Tags updated",
"type": "success",
"oldTags": [
"tag-1",
"tag-2"
],
"tagsAdded": [],
"tagsRemoved": []
},
{
"contactId": "abcdef",
"message": "contact id is not a valid firebase id",
"type": "error"
},
{
"contactId": "qFSqySFkVvNzOSqgGqFi",
"message": "contact is deleted",
"type": "error"
},
{
"contactId": "3ualbhnV7j3n3a9r2moD",
"message": "contact does not belong to location",
"type": "error"
}
]
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}Authorizations
Body
application/json
Response
Successful response
Responses for each contact processed
Example:
[
{
"contactId": "qFSqySFkVvNzOSqgGqFi",
"message": "Tags updated",
"type": "success",
"oldTags": ["tag-1", "tag-2"],
"tagsAdded": [],
"tagsRemoved": []
},
{
"contactId": "abcdef",
"message": "contact id is not a valid firebase id",
"type": "error"
},
{
"contactId": "qFSqySFkVvNzOSqgGqFi",
"message": "contact is deleted",
"type": "error"
},
{
"contactId": "3ualbhnV7j3n3a9r2moD",
"message": "contact does not belong to location",
"type": "error"
}
]
Last modified on March 8, 2026
Was this page helpful?
Update Contacts Tags
curl --request POST \
--url https://services.leadconnectorhq.com/contacts/bulk/tags/update/{type} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"contacts": [
"qFSqySFkVvNzOSqgGqFi",
"abcdef",
"qFSqySFkVvNzOSqgGqFi",
"3ualbhnV7j3n3a9r2moD"
],
"tags": [
"tag-1",
"tag-2"
],
"locationId": "asdrwHvLUxlfw5SqKVCN",
"removeAllTags": "false"
}
'const options = {
method: 'POST',
headers: {
Version: '<version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
contacts: [
'qFSqySFkVvNzOSqgGqFi',
'abcdef',
'qFSqySFkVvNzOSqgGqFi',
'3ualbhnV7j3n3a9r2moD'
],
tags: ['tag-1', 'tag-2'],
locationId: 'asdrwHvLUxlfw5SqKVCN',
removeAllTags: 'false'
})
};
fetch('https://services.leadconnectorhq.com/contacts/bulk/tags/update/{type}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/contacts/bulk/tags/update/{type}"
payload = {
"contacts": ["qFSqySFkVvNzOSqgGqFi", "abcdef", "qFSqySFkVvNzOSqgGqFi", "3ualbhnV7j3n3a9r2moD"],
"tags": ["tag-1", "tag-2"],
"locationId": "asdrwHvLUxlfw5SqKVCN",
"removeAllTags": "false"
}
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"succeded": true,
"errorCount": 0,
"responses": [
{
"contactId": "qFSqySFkVvNzOSqgGqFi",
"message": "Tags updated",
"type": "success",
"oldTags": [
"tag-1",
"tag-2"
],
"tagsAdded": [],
"tagsRemoved": []
},
{
"contactId": "abcdef",
"message": "contact id is not a valid firebase id",
"type": "error"
},
{
"contactId": "qFSqySFkVvNzOSqgGqFi",
"message": "contact is deleted",
"type": "error"
},
{
"contactId": "3ualbhnV7j3n3a9r2moD",
"message": "contact does not belong to location",
"type": "error"
}
]
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}